<?php
/**
 * Vaccine: Malware rr.nu
 * This simple script will read all file php recursivelly from directory and cleanup string defined by rr.nu
 * 
 * @author Walker de Alencar <walkeralencar@gmail.com>
 */
class rrnuVaccine {

    private $directory;
    private $counter;
    private $string;
    private $log = '';

    private function __construct() {
        
    }

    /**
     * @return rrnuVacine
     */
    public static function create() {
        return new self();
    }

    /**
     * Define root directory to start the recursive search to Vacine all php files.
     * @param type $dir
     * @return rrnuVacine 
     */
    public function setDirectory($dir) {
        $this->directory = $dir;
        return $this;
    }

    /**
     * Define all string of rr.nu
     * @param type $string
     * @return rrnuVacine 
     */
    public function setString($string) {
        $this->string = $string;
        return $this;
    }

    private function getDirectory() {
        return $this->directory;
    }

    private function getString() {
        return $this->string;
    }

    private function validate() {
        if (is_null($this->getString())) {
            throw new exception('Define the string from rr.nu!');
        }
        if (is_null($this->getDirectory())) {
            throw new exception('Define the root directory to Vacine!');
        }
    }

    private function startup() {
        $this->counter = array(
            'free' => 0,
            'infected' => 0,
            'disinfected' => 0,
            'total' => 0,
        );
    }

    private function vaccine($directory) {
        $strSize = strlen($this->getString());
        $currentDir = dir($directory);

        while (false !== ($entry = $currentDir->read())) {
            $file = $directory . DIRECTORY_SEPARATOR . $entry;

            if ($entry != "." && $entry != ".." && is_dir($file)) {
                $this->vaccine($file);
            } else {
                if (pathinfo($entry, PATHINFO_EXTENSION) == 'php') {
                    if (file_get_contents($file, null, null, 0, $strSize) == $this->getString()) {
                        if (false === file_put_contents($file, file_get_contents($file, null, null, $strSize, filesize($file) - $strSize))) {
                            $status = '<em style="color:darkred">infected!</em>';
                            $this->counter['infected']++;
                        } else {
                            $status = '<em style="color:darkgreen">disinfected!</em>';
                            $this->counter['disinfected']++;
                        }
                        
                    } else {
                        $status = '<em style="color:darkblue">free</em>';
                        $this->counter['free']++;
                    }
                    $this->counter['total']++;
                    $this->log .= $file . "[" . $status . "]<br>\n";
                }
            }
        }
        $currentDir->close();
        
    }

    public function execute() {
        $this->validate();
        $this->startup();
        $this->vaccine($this->getDirectory());
       
        $result = array();
        foreach($this->counter as $key => $value){
            $result[] = "<b>{$key}</b>({$value}) ";
        }

        return "<h4>".implode(' | ',$result)."</h4>\n". $this->log;
    }

}

echo '<div style="color:#333; font-family:Verdana; font-size:11px;">';
echo '<h2>nn.ru Vaccine - Beta</h2>';
echo '<h3>by Walker de Alencar (walkeralencar@gmail.com)</h3>';
echo rrnuVaccine::create()
        ->setDirectory(getcwd())
        ->setString('<?php /**/?>')
        ->execute();
echo '</div>';
